/* grid utilisant Flexbox
source : https://www.taniarascia.com/easiest-flex-grid-ever/
*/
.row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}
.column {
  flex-basis: 100%;
}

/* Regle qui s'applique au écran qui font une largeur minimal de 800px (donc > mobile) */
@media screen and (min-width: 800px) {
  /* les tailles différentes de chaque colonnes */
  .column {
    flex: 1; // va occuper l'espace avec ce poids là
  }

  $start: 5;
  $sizeColumn: 5;

  @while $start < 100 {
    ._#{$start} {
      flex: $start;
    }
    $start: $start + $sizeColumn;
  }
}